<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Border Around Effect</title>
    <style>
        * {
            margin:     0;
            padding:    0;
            box-sizing: border-box;
        }

        main {
            height:          100vh;
            display:         flex;
            align-items:     center;
            justify-content: center;
            background:      #383d52;
        }

        .container {
            position:        relative;
            width:           300px;
            height:          300px;
            display:         flex;
            align-items:     center;
            justify-content: center;
            background:      rgb(0, 0, 0, 0.5);
            overflow:        hidden;
            border-radius:   1rem;
        }

        .container::before {
            content:    "";
            position:   absolute;
            width:      150px;
            height:     450px;
            background: linear-gradient(#00ccff, #d400d4);
            animation:  animate 4s linear infinite;
        }

        .container::after {
            inset:         4px;
            content:       "";
            position:      absolute;
            background:    #1a023f;
            z-index:       1;
            border-radius: 1rem;
        }

        h2 {
            text-transform: uppercase;
            position:       relative;
            z-index:        10;
            color:          #fff;
            font-size:      8rem;
        }

        @keyframes animate {
            0% {
                transform: rotate(0deg);
            }
            100% {
                transform: rotate(360deg);
            }
        }
    </style>
</head>
<body>
    <main>
        <div class="container">
            <h2>02</h2>
        </div>
    </main>
</body>
</html>